//output template file
//these field numbers relate the the returned data in the DRIFACE
//in the following way
// driface number = (cmd * 1000) + 500 + output template number
//
//special field numbers 1 = dept
//                      2 = machine id
//			3 = machine group
//			4 = time & date
//

#9 
//returned data
1  //dept
31 //plu number
42 //Article number
35 //tax 1
36 //tax 2
54 //group
51 //weighed n/w
57 //tare weight ref
49 //closed open
55 //retail price
56 //retail 2nd price
67 //third price
58 //price multiple 
68 //promo type
78 //promo mess flag
69 //promo message ref
53 //weight break qty 1 
64 //weight break qty 2
70 //weight amount free
71 //items amount free
65 //item brk qty 1
66 //item brk qty 2
62 //discount ref 1
63 //discount ref 2
33 //Label format
60 //EAN code
47 //barcode on
37 //sub dept
34 //sales message
32 //2nd sales message
38 //date 1 type
39 //date 1
40 //date 2 type
41 //date 2
61 //net weight ref
43 //Barcode ref
111 //carcass PLU
108 //promotion control
240 //Date text line 1
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260 //Ingredients text line 1
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
320 //Date text line 1
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339


//plu change record 
#10 
//returned data
1  //dept
31 //plu number
35 //tax 1
36 //tax 2
54 //group
37 //sub dept
51 //weighed n/w
57 //tare weight ref
49 //closed open
55 //retail price
56 //retail 2nd price
67 //third price
81 //exception price
48 //metric imperial
50 //upper lower
58 //price multiple     
77 //promo on/off
68 //promo type
78 //promo mess flag
69 //promo message ref
70 //weight amount free
53 //weight break qty 1 
64 //weight break qty 2
45 //price text 2 interlock
71 //items amount free
65 //item brk qty 1
66 //item brk qty 2
80 //discount brk qty
62 //discount ref 1
63 //discount ref 2
45 //price text 2 interlock
33 //Label format
159 //label text NULL terminated variable
44 //counter prepack
60 //EAN code
42 //Article number
47 //barcode on
43 //Barcode ref
34 //sales message
32 //2nd sales message
39 //date 1
38 //date 1 type
41 //date 2
40 //date 2 type
61 //net weight ref
74 //printer
79 //wrapper on /off
72 //wrap tare
73 //wrap prog
75 //xoffset
76 //yoffset
46 //Nutripanel
86 //plu 1st
85 //template ref
83 //serving size NUTRIPANEL
84 //servings per
87 //cal count
88 //fat cal count
89 //total fat g
90 //total fat %
91 //sat fat g
92 //sat fat %
93 //chol  g
94 //chol  %
95 //sodium mg
96 //sodium %
97 //tot carbo g
98 //tot carbo %
99 //diet fibre g
100 //diet fibre %
101 //sugar g
102 //protien g
103 //vitamin a
104 //vitamin c
105 //calcium
106 //iron

#12     //PLU Totals Search by PLU Range
//        ==============================
1       // Department Number
31      // Scale PLU Number
38      // Z Normal Value
39      // Z Normal Weight/Items
40      // Z Override Value
41      // Z Override Weight/Items
42      // Z Transaction Count
43      // Sales Values Valid
45      // Z Sales Value
57      // Z Second Value
58      // Z Second Weight/Items
59      // Z Third Value
60      // Z Third Weight/Items
61      // Z Free Value
62      // Z Free Weight/Items
71	// B806 Total Weight
72	// B806 Sales Value
73	// B806 Transaction Count
75	// B806 Total Tare Value
33      // SERIE M X Normal Value
34      // SERIE M X Normal Weight/Items
37      // SERIE M X Transaction Count
44      // SERIE M X Sales Value
35	// SERIE M X Override Value
36	// SERIE M X Override Weight/Items


#112     //PLU Totals Search by PLU Range
//        ==============================
1       // Department Number
31      // Scale PLU Number
221	// Customer Number
38      // Z Normal Value
39      // Z Normal Weight/Items
40      // Z Override Value
41      // Z Override Weight/Items
42      // Z Transaction Count
43      // Sales Values Valid
45      // Z Sales Value
57      // Z Second Value
58      // Z Second Weight/Items
59      // Z Third Value
60      // Z Third Weight/Items
61      // Z Free Value
62      // Z Free Weight/Items
71	// B806 Total Weight
72	// B806 Sales Value
73	// B806 Transaction Count
75	// B806 Total Tare Value

#16     //Clearing PLU Totals Search by PLU Range
//        =======================================
1       //Department Number
31      //Scale PLU Number
32      //Unit of Measure (weighed or non-weighed)
33      //X Normal Value
34      //X Normal Weight/Items
35      //X Override Value
36      //X Override Weight/Items
37      //X Transaction Count
38      //Z Normal Value
39      //Z Normal Weight/Items
40      //Z Override Value
41      //Z Override Weight/Items
42      //Z Transaction Count
43      //Sales Values Valid
44      //X Sales Value
45      //Z Sales Value
46      //Pre-pack Values Valid
47      //X Pre-pack Value
48      //X Pre-pack Weight/Items
49      //Z Pre-pack Value
50      //Z Pre-pack Weight/Items
51      //X Second Value
52      //X Second Weight/Items
53      //X Third Value
54      //X Third Weight/Items
55      //X Free Value
56      //X Free Weight/Items
57      //Z Second Value
58      //Z Second Weight/Items
59      //Z Third Value
60      //Z Third Weight/Items
61      //Z Free Value
62      //Z Free Weight/Items

//plu totals  by dept non-clearing
#14 
//returned data
1  //dept
31 //plu number
32 //weighed / n/w flag
33 //x normal value
34 //x normal weight/item
35 //x override value
36 //x override weight item
37 //x transactions
38 //z normal value
39 //z normal weight item
40 //z override value
41 //z override weight /item
42 //z transactions
43 //sales value valid flag
44 //x sales value
45 //z sales value
46 //Prepack values valid flag
47 //x prepack value
48 //x prepack weight item
49 //z prepack value
50 //z prepack weight item
51 //x second  value
52 //x second  weight item
53 //x third   value
54 //x third   weight item
55 //x free    value
56 //x free    weight item
57 //z second  value
58 //z second  weight item
59 //z third   value
60 //z third   weight item
61 //z free    value
62 //z free    weight item

#78     //Department Totals Enquiry
//        =========================
1       //Department Number
30      //Machine Department Number
31      //Counter Value
32      //Pre-pack Value
33      //Sales Value
34      //Transaction Count
35	//Weight
36	//Item
37	//Promo Discount
38	//Promo Value

//group totals Enquiry
#80 
//returned totals
1  //dept
30 //group index     
31 //prepack items
32 //prepack weight
33 //prepack value
34 //counter items
35 //counter weight
36 //counter value
37 //sales value
38 //sales items
39 //return value
40 //return count
41 //transaction count

#82     //Hourly Totals Enquiry
//        =====================
1       //Department Number
30      //Hour ID
31      //Sales Value
32      //Receipt Count
33      //Manual Receipt Discount
34      //Void Value
35      //Void Count
36      //No Sale Count
37      //Counter Value
38      //Pre-pack Value
39      //Manual PLU Discount
40      //Transaction Count
41      //Return Value
42      //Return Count


//Operator Enquiry
#84 
//returned totals
1  //dept
30 //operator index     
31 //Sales receipt value
32 //Sales receipt count
35 //Manual receipt discount
33 //void value
34 //void count
36 //No sale count
37 //Counter Value
38 //Prepack value
39 //prepack weight
40 //prepack items
41 //Manual PLU discount
42 //Transaction count
43 //Return Value
44 //Return Count
46 //Override value
47 //Override count

//Machine totals Enquiry
#86 
//returned totals
1  //dept
30 //Machine index     
31 //Sales value
32 //Sales Transaction count
33 //Counter Value
34 //Prepack value
35 //Transaction count
36 //Total weight


#88     //Grand Totals Enquiry
//        ====================
1       //Department Number
31      //Sales Value
32      //Receipt Count
33      //Receipt Discount Value
34      //Void Value
35      //Void Count
36      //No Sale Count
37      //Counter Value
38      //Pre-pack Value
39      //Manual PLU Discount
40      //Transaction Count
41      //Return Value
42      //Return Count
43      //Tax Value
44      //Tax Value @ Rate:0
45      //Tax Value @ Rate:1
46      //Tax Value @ Rate:2
47      //Tax Value @ Rate:3
48      //Tax Value @ Rate:4
49      //Tax Value @ Rate:5
50      //Tax Value @ Rate:6
51      //Tax Value @ Rate:7
52      //Tax Value @ Rate:8
53      //Tax Value @ Rate:9
54      //Sales Value @ Rate:0
55      //Sales Value @ Rate:1
56      //Sales Value @ Rate:2
57      //Sales Value @ Rate:3
58      //Sales Value @ Rate:4
59      //Sales Value @ Rate:5
60      //Sales Value @ Rate:6
61      //Sales Value @ Rate:7
62      //Sales Value @ Rate:8
63      //Sales Value @ Rate:9
64      //Promo PLU discount


//Security Tot Enquiry (undocumented for test only)
#91 
//returned totals
1  //dept
31 //x sequential
32 //z return count

//Cash Totals
#93 
//returned totals
1  //dept
31 //cash in hand
32 //cash value
33 //cheque value
34 //credit value
35 //coupon value
36 //total sales
37 //refund value
38 //net sales   
39 //float      
40 //pick up value
41 //paid out value
42 //drawer value
43 //draw difference
44 //account value
45 //receipt discount val
46 //plu discount val
47 //tax value
48 //No sale count


//Network status
#99 
//Returned data
1  //dept
30 //network status
31 //0
32 //Master
33 //slave
34 //slave
35 //slave
36 //slave
37 //slave
38 //slave
39 //slave
40 //slave
41 //slave
42 //slave
43 //slave
44 //slave
45 //slave
46 //slave
47 //slave
48 //slave
49 //slave
50 //slave
51 //slave
52 //slave
53 //slave
54 //slave
55 //slave
56 //slave
57 //slave
58 //slave
59 //slave
60 //slave
61 //slave
62 //slave
63 //slave
64 //Comms Controller
65 //Backup

//Carcass Totals
#107 
//returned totals
1  //dept
30 //carcass number
31 //total value
32 //Total weight
33 //Total item
34 //Transaction count
35 //Last Pack Day
36 //Last Pack Month
37 //Last Pack Year
38 //Last Pack Hour
39 //Last Pack Minute
40 //Pre-weight mode weight
41 //Carcass weight limit
42 //Carcass Expire day
43 //Carcass Expire month
44 //Carcass Expire year

//Hand Total Enquiry
#96
1  //dept
40 
41 
43 
44 
46 
47 
49 
50 
52 
53 
54 
56 
57 
59 
60 
62 
63 
65 
66
67
68
70
71
73
74
76
77
79
80
81

//Period Totals
#13
//returned totals
1  	//dept
9	// total read cloar control
11	// promotional period reference
6	// plu number
30	// promo value
31 	// promo reduction value
32 	// promo weight
33 	// promo item

